[arch-commits] Commit in filesystem/trunk (PKGBUILD filesystem.install)

Tom Gundersen tomegun at archlinux.org
Sun Apr 1 19:43:12 EDT 2012


    Date: Sunday, April 1, 2012 @ 19:43:12
  Author: tomegun
Revision: 155345

upgpkg: filesystem 2012.2-4

added redirection of some output to /dev/null

Modified:
  filesystem/trunk/PKGBUILD
  filesystem/trunk/filesystem.install

--------------------+
 PKGBUILD           |    2 +-
 filesystem.install |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2012-04-01 23:17:08 UTC (rev 155344)
+++ PKGBUILD	2012-04-01 23:43:12 UTC (rev 155345)
@@ -3,7 +3,7 @@
 
 pkgname=filesystem
 pkgver=2012.2
-pkgrel=3
+pkgrel=4
 pkgdesc='Base filesystem'
 arch=('any')
 license=('GPL')

Modified: filesystem.install
===================================================================
--- filesystem.install	2012-04-01 23:17:08 UTC (rev 155344)
+++ filesystem.install	2012-04-01 23:43:12 UTC (rev 155345)
@@ -10,14 +10,14 @@
 
 # args: <group> [options]
 _addgroup() {
-	if ! getent group "$1"; then
+	if ! getent group "$1" >/dev/null; then
 		groupadd "$@" >/dev/null
 	fi
 }
 
 # args: <group> [options]
 _adduser() {
-	if ! getent passwd "$1"; then
+	if ! getent passwd "$1" >/dev/null; then
 		useradd "$@" >/dev/null
 	fi
 }



More information about the arch-commits mailing list